/* eslint-disable prettier/prettier */
import {createAsyncThunk, createSlice} from '@reduxjs/toolkit';

import serviceRequest from '../../app/serviceRequest';

import Utils from '../../utils';
import authAPI from '../../api/authAPI';

const initialState = {
  banners: [],
  news: [],
  companyInfo: [],
};

export const authenticate = createAsyncThunk(
  'auth/authenticate',
  async (data, thunkAPI) => {
    return serviceRequest({
      dispatch: thunkAPI.dispatch,
      serviceMethod: authAPI.requestAuthenticate,
      payload: data,
      options: {
        skipLoader: false,
      },
    });
  },
);

const authSlice = createSlice({
  name: 'auth',
  initialState: initialState,
  reducers: {},
  extraReducers: builder => {
    builder.addCase(authenticate.fulfilled, (state, action) => {
      const {success} = Utils.getValues(action, 'payload', false);
      console.log('authenticate', action);
      if (success) {
      }
    });
  },
});

const {reducer} = authSlice;
export default reducer;
