/* eslint-disable prettier/prettier */
import React from 'react';

import {useSelector} from 'react-redux';
import HomeContainer from './homeContainer';
import {authSelector, homeSelector} from '../../app/selectors';

export default function HomeScreen() {
  const homeSelect = useSelector(homeSelector);
  const userDetails = useSelector(authSelector);

  const {isLogin, userLoginInfo} = userDetails;
  const {quotationList, birthdayListInMonth, randomQuotation} = homeSelect;

  const homeScreenProps = {
    isLogin,
    userLoginInfo,
    quotationList,
    birthdayListInMonth,
    randomQuotation,
  };
  return <HomeContainer {...homeScreenProps} />;
}
